from django.conf.urls import patterns, include, url

urlpatterns = patterns('PlatDeploy.views',

    url(r'^managedeploy/list/$', 'managedeploy.ListManageDeploy', name='listplatmanagedeployurl'),
    url(r'^addmanage/$', 'managedeploy.AddManage', name='addplatmanagedeployurl'),
    url(r'^deleteisomanage/(?P<id>\d+)/$', 'managedeploy.DeleteIso', name='deleteisoplatmanagedeployurl'),
    url(r'^upgrademanage/(?P<id>\d+)/$', 'managedeploy.UpgradeManage', name='upgrademanageurl'),
    url(r'^rebootManage/$', 'managedeploy.RebootManage', name='rebootmanageurl'),
    
    url(r'^servicedeploy/list/$', 'servicedeploy.ListServiceDeploy', name='listplatservicedeployurl'),
    url(r'^addservice/$', 'servicedeploy.AddService', name='addplatservicedeployurl'),
    url(r'^deleteisoservice/(?P<id>\d+)/$', 'servicedeploy.DeleteIso', name='deleteisoplatservicedeployurl'),
    url(r'^editservicenet/$', 'servicedeploy.EditServiceNet', name='editplatserviceneturl'),
    url(r'^startdeployservice/$', 'servicedeploy.StartDeploy', name='startplatserviceurl'),
    url(r'^stopdeployservice/$', 'servicedeploy.StopDeploy', name='stopplatserviceurl'),
    url(r'^servicedeployleftminutes/$', 'servicedeploy.QueryDeployLeftMinutes', name='servicedeployleftminutesurl'),
    url(r'^serviceiso/list/$', 'servicedeploy.ListServiceIso', name='listplatserviceisourl'),
    url(r'^serviceupgrade/list/$', 'servicedeploy.ListServiceUpgrade', name='listplatserviceupgradeurl'),
    url(r'^servicestartupgrade/$', 'servicedeploy.StartUpgrade', name='servicestartupgradeurl'),
    url(r'^deleteservicehost/(?P<id>.+)/$', 'servicedeploy.DeleteServicehost', name='deleteservicehosturl'),
    url(r'^ajaxgetservicelist/$', 'servicedeploy.AjaxGetServiceList', name='ajaxgetservicelisturl'),
#     url(r'^servicestatus/$', 'servicedeploy.ReceiveHostStatus', name='saveplatservicestatusurl'),
#     url(r'^upgradeservice/(?P<id>\d+)/$', 'servicedeploy.UpgradeService', name='upgradeplatserviceurl'),
    
    url(r'^terminaldeploy/list/$', 'terminaldeploy.ListTerminalDeploy', name='listplatterminaldeployurl'),
    url(r'^terminaliso/list/$', 'terminaldeploy.ListTerminalIso', name='listplatterminalisourl'),
    url(r'^terminalupgrade/list/$', 'terminaldeploy.ListTerminalUpgrade', name='listplatterminalupgradeurl'),
    url(r'^deleteterminalhost/(?P<id>.+)/$', 'terminaldeploy.DeleteTerminalhost', name='deleteterminalhosturl'),
    url(r'^terminalstartupgrade/$', 'terminaldeploy.StartUpgrade', name='terminalstartupgradeurl'),
    url(r'^terminalstopupgrade/$', 'terminaldeploy.StopUpgrade', name='terminalstopupgradeurl'),
    url(r'^addterminal/$', 'terminaldeploy.AddTerminal', name='addplatterminaldeployurl'),
    url(r'^deleteisoterminal/(?P<id>\d+)/$', 'terminaldeploy.DeleteIso', name='deleteisoplatterminaldeployurl'),
    url(r'^editterminalnet/$', 'terminaldeploy.EditTerminalNet', name='editplatterminalneturl'),
    url(r'^startdeployterminal/$', 'terminaldeploy.StartDeploy', name='startplatterminalurl'),
    url(r'^stopdeployterminal/$', 'terminaldeploy.StopDeploy', name='stopplatterminalurl'),
    url(r'^terminaldeployleftminutes/$', 'terminaldeploy.QueryDeployLeftMinutes', name='terminaldeployleftminutesurl'),
    url(r'^ajaxgetterminallist/$', 'terminaldeploy.AjaxGetTerminalList', name='ajaxgetterminallisturl'),
#     url(r'^upgradeterminal/(?P<id>\d+)/$', 'terminaldeploy.UpgradeTerminal', name='upgradeplatterminalurl'),
    
)